<?php
/**
*	登录
*/
class loginClassAction extends apiAction
{
	public $logincheck = false;
	public function initsetAction()
	{
		$title = TITLE;
		$callback = $this->get('callback');
		$barr['title'] = $title;
		$result = json_encode($barr);
		if($callback){
			return ''.$callback.'('.$result.')';
		}else{
			return $result;
		}
	}
	
	public function exitAction()
	{
		m('login')->exitlogin();
		return returnsuccess();
	}
	
	/**
	*	读取可上传最大M
	*/
	public function getmaxupAction()
	{
		$maxup = c('upfile')->getmaxzhao();
		return returnsuccess(array(
			'maxup' => $maxup
		));
	}
}